TaglibDescriptorImpl (Apache Tomcat 8.5.89 API Documentation)

Package org.apache.tomcat.util.descriptor.web

## Class TaglibDescriptorImpl

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.TaglibDescriptorImpl

- All Implemented Interfaces:
    `TaglibDescriptor`

      public class TaglibDescriptorImpl
      extends java.lang.Object
      implements TaglibDescriptor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaglibDescriptorImpl​(java.lang.String location, java.lang.String uri)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getTaglibLocation()` | Obtain the location of the tag library.
    `java.lang.String` | `getTaglibURI()` | Obtain the URI for the tag library.
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaglibDescriptorImpl

          public TaglibDescriptorImpl​(java.lang.String location,
                                      java.lang.String uri)

  - ### Method Detail

    - #### getTaglibLocation

          public java.lang.String getTaglibLocation()

      Description copied from interface: `javax.servlet.descriptor.TaglibDescriptor`
      Obtain the location of the tag library.
      Specified by:
        `getTaglibLocation` in interface `TaglibDescriptor`
      Returns:
        the location of the tag library

    - #### getTaglibURI

          public java.lang.String getTaglibURI()

      Description copied from interface: `javax.servlet.descriptor.TaglibDescriptor`
      Obtain the URI for the tag library.
      Specified by:
        `getTaglibURI` in interface `TaglibDescriptor`
      Returns:
        the URI for the tag library

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`